---
title: Delete a Statuspage URL setting
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Statuspage Integration
---

# Delete a Statuspage URL setting{% #delete-a-statuspage-url-setting %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                                                |
| ----------------- | ----------------------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/integration/statuspage/url_settings/{statuspage_url_setting_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/integration/statuspage/url_settings/{statuspage_url_setting_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/integration/statuspage/url_settings/{statuspage_url_setting_id}      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/integration/statuspage/url_settings/{statuspage_url_setting_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/integration/statuspage/url_settings/{statuspage_url_setting_id}  |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/integration/statuspage/url_settings/{statuspage_url_setting_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/integration/statuspage/url_settings/{statuspage_url_setting_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/integration/statuspage/url_settings/{statuspage_url_setting_id} |

### Overview

Delete a single Statuspage URL setting from your organization. This endpoint requires the `manage_integrations` permission.

### Arguments

#### Path Parameters

| Name                                        | Type   | Description                             |
| ------------------------------------------- | ------ | --------------------------------------- |
| statuspage_url_setting_id [*required*] | string | The UUID of the Statuspage URL setting. |

### Response

{% tab title="204" %}
OK
{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export statuspage_url_setting_id="CHANGE_ME" \# Curl command curl -X DELETE "https://api.datadoghq.com/api/v2/integration/statuspage/url_settings/${statuspage_url_setting_id}" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
